Subject: Re: fully deepening a shallow clone

From: Daniel Johnson <[email-masked]>
Date: Wed, 18 Aug 2010 08:54:07 -0400

On Wednesday 18 August 2010 05:36:08 Nguyen Thai Ngoc Duy wrote:
> On Tue, Aug 17, 2010 at 10:49 AM, Joey Hess <[email-masked]> wrote:
> > git-pull(1):
> >       --depth=<depth>
> >           Deepen the history of a shallow repository created by git clone
> >           with --depth=<depth> option (see git-clone(1)) by the specified
> >           number of commits.
> > 
> > Well, what if I want to deepen an existing shallow clone to include
> > the full history? In practice, something like --depth=100000000 is going
> > to work, but in theory, that will eventually fail some day when there are
> > enough commits. :)
> 
> I have always thought --depth=0 will make full repo again. Have you tried
> that?
I tried it myself. --depth=0 is the same as leaving the depth argument off 
entirely. If you are already working in a shallow clone fetch or pull without 
arguments won't deepen it at all, only pull in new commits.

I haven't been able to figure out a good way to solve this yet though.